import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;

public class Counter extends Actor
{
    
    space world = (space) getWorld();
    private String text;
    private int width = 408;
    private int height = 70;
    private int score = 0;
    
    public Counter(String write)
    {
        text = write;
        updateImage();
    }
    
    
    public Counter(String write, int w, int h)
    {
        text = write;
        width = w;
        height = h;
        updateImage();
    }
    
   
    public void updateScore(int s)
    {
        score = s;
        updateImage();
        if (score == 1000000)
        {
            win();
        }
    }
    
   
    public void lose()
    {
        setLocation( 400,  300);
        Font font = new Font("Impact",Font.BOLD,30);
        GreenfootImage image = new GreenfootImage(width,height);
        image.setFont(font);
        image.clear();
        image.setColor(Color.RED);
        image.drawString("GAME OVER --- SCORE: "+ Integer.toString(score), 10, height / 2);
        setImage(image);
        
        Greenfoot.stop();
    }
    
   
    public void win()
    {
        setLocation( 400, 300);
        Font font = new Font("Impact",Font.BOLD,30);
        GreenfootImage image = new GreenfootImage(width,height);
        image.setFont(font);
        image.clear();
        image.setColor(Color.RED);
        image.drawString("WINNER!!! --- SCORE: " + Integer.toString(score), 10, height / 2);
        setImage(image);
        world.won=true;
        Greenfoot.stop();
    }
  
    public void changeTxt(String write)
    { 
        text = write;
        updateImage();
    }

   
    private void updateImage()
    {
        Font font = new Font("Impact",Font.BOLD,20);
        GreenfootImage image = new GreenfootImage(width,height);
        image.setFont(font);
        image.clear();
        image.setColor(Color.RED);
        image.drawString(text + " " + Integer.toString(score), width / 2, height / 2);
        setImage(image);
    }  
}
